#!/usr/bin/env ruby
$VERBOSE = true; $:.unshift File.dirname($0)

require 'Qt'

class MyWidget < TQt::VBox

def initialize()
   super
    quit = TQt::PushButton.new('Quit', self, 'quit')
    quit.setFont(TQt::Font.new('Times', 18, TQt::Font::Bold))
    
	connect(quit, SIGNAL('clicked()'), $qApp, SLOT('quit()'))
    
	lcd = TQt::LCDNumber.new(2, self, 'lcd')

    slider = TQt::Slider.new(Horizontal, self, 'slider')
    slider.setRange(0, 99)
    slider.setValue(0)

    connect(slider, SIGNAL('valueChanged(int)'), lcd, SLOT('display(int)'))
end

end

a = TQt::Application.new(ARGV)

w = MyWidget.new
a.setMainWidget(w)
w.show
a.exec
